JUCE: ButtonTracker Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ButtonTracker Class Reference
juce_analytics » analytics

A class that automatically sends analytics events to the Analytics singleton when a button is clicked. More...

`#include <juce_ButtonTracker.h>`

Inheritance diagram for ButtonTracker:

## Public Member Functions
| ButtonTracker (Button &buttonToTrack, const String &triggeredEventName, const StringPairArray &triggeredEventParameters={}, int triggeredEventType=0)
| Creating one of these automatically sends analytics events to the Analytics singleton when the corresponding button is clicked.
| ~ButtonTracker () override
| Destructor.

## Detailed Description

A class that automatically sends analytics events to the Analytics singleton when a button is clicked.

See also
  Analytics, AnalyticsDestination::AnalyticsEvent

## Constructor & Destructor Documentation

## ◆ ButtonTracker()

ButtonTracker::ButtonTracker | ( | Button & | buttonToTrack,
|  | const String & | triggeredEventName,
|  | const StringPairArray & | triggeredEventParameters = {},
|  | int | triggeredEventType = 0 )

Creating one of these automatically sends analytics events to the Analytics singleton when the corresponding button is clicked.

The name and parameters of the analytics event will be populated from the variables supplied here. If clicking changes the button's state then the parameters will have a {"ButtonState", "On"/"Off"} entry added.

Parameters

  buttonToTrack | the button to track
  triggeredEventName | the name of the generated event
  triggeredEventParameters | the parameters to add to the generated event
  triggeredEventType | (optional) an integer to indicate the event type, which will be set to 0 if not supplied.

See also
  Analytics, AnalyticsDestination::AnalyticsEvent

## ◆ ~ButtonTracker()

ButtonTracker::~ButtonTracker | ( |  | ) |
| override

Destructor.

The documentation for this class was generated from the following file:

- juce_ButtonTracker.h